tbb::cache_aligned_allocator< void > Class Reference
Memory Allocation

Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1. More...

`#include <cache_aligned_allocator.h>`

Collaboration diagram for tbb::cache_aligned_allocator< void >:

## Classes

struct | rebind

## Public Types

typedef void * | pointer
typedef const void * | const_pointer
typedef void | value_type

## Detailed Description

Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1.

Definition at line 118 of file cache_aligned_allocator.h.

## Member Typedef Documentation

## const_pointer

typedef const void* tbb::cache_aligned_allocator< void >::const_pointer

Definition at line 121 of file cache_aligned_allocator.h.

## pointer

typedef void* tbb::cache_aligned_allocator< void >::pointer

Definition at line 120 of file cache_aligned_allocator.h.

## value_type

typedef void tbb::cache_aligned_allocator< void >::value_type

Definition at line 122 of file cache_aligned_allocator.h.

The documentation for this class was generated from the following file:

- cache_aligned_allocator.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.